import { EventEmitter, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { ActiveDirectoryService, User } from '@cleavelandprice/ngx-lib/active-directory';
import { PhotoItem, SharePointService } from '@cleavelandprice/ngx-lib/sharepoint';
import { UserChooserData } from '../../model/user-chooser-data';
import * as i0 from "@angular/core";
export declare class UserFormFieldComponent implements OnInit {
    private dialog;
    private activeDirectoryService;
    private sharePointService;
    usersSelected: EventEmitter<string | string[]>;
    userUnSelected: EventEmitter<string>;
    placeholder: string;
    clickable: boolean;
    userChooserData: UserChooserData;
    accountNames: string[];
    users: User[] | undefined;
    photos: PhotoItem[] | undefined;
    get isEdge(): boolean;
    constructor(dialog: MatDialog, activeDirectoryService: ActiveDirectoryService, sharePointService: SharePointService);
    ngOnInit(): void;
    selectUser(): void;
    unSelectUser(accountName: string): void;
    private getData;
    getUser(accountName: string): User | undefined;
    getPhoto(accountName: string): string | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserFormFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserFormFieldComponent, "cp-user-field", never, { "placeholder": "placeholder"; "clickable": "clickable"; "userChooserData": "userChooserData"; }, { "usersSelected": "usersSelected"; "userUnSelected": "userUnSelected"; }, never, never, false>;
}
