import * as i0 from '@angular/core';
import { Injectable, Optional, NgModule, SkipSelf } from '@angular/core';
import * as i2 from '@angular/common/http';

const defaultConfig = {
    apiUrl: 'http://utilityapi'
};

class ServiceConfig {
}

class AppPathConfigService {
    constructor(config, http) {
        this.config = config;
        this.http = http;
        this.config = {
            ...defaultConfig,
            ...this.config
        };
        this.url = `${this.config.apiUrl}/apppathconfigs`;
    }
    getAll() {
        return this.http.get(this.url);
    }
    getById(id) {
        return this.http.get(`${this.url}/${id}`);
    }
    getByAppId(id) {
        return this.http.get(`${this.url}/appid/${id}`);
    }
    getByApp(name) {
        return this.http.get(`${this.url}/app/${name}`);
    }
    getByAppTypeId(id) {
        return this.http.get(`${this.url}/apptypeid/${id}`);
    }
    getByAppType(name) {
        return this.http.get(`${this.url}/apptype/${name}`);
    }
    getByAppFunction(name) {
        return this.http.get(`${this.url}/function/${name}`);
    }
}
AppPathConfigService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.1", ngImport: i0, type: AppPathConfigService, deps: [{ token: ServiceConfig, optional: true }, { token: i2.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable });
AppPathConfigService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.1", ngImport: i0, type: AppPathConfigService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.1", ngImport: i0, type: AppPathConfigService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return [{ type: ServiceConfig, decorators: [{
                    type: Optional
                }] }, { type: i2.HttpClient }]; } });

class NgxLibModule {
    constructor(parentModule) {
        if (parentModule) {
            throw new Error('NgxLibModule is already loaded. Import it in the AppModule only');
        }
    }
    static forRoot(config) {
        return {
            ngModule: NgxLibModule,
            providers: [
                AppPathConfigService,
                { provide: ServiceConfig, useValue: config }
            ]
        };
    }
}
NgxLibModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.1", ngImport: i0, type: NgxLibModule, deps: [{ token: NgxLibModule, optional: true, skipSelf: true }], target: i0.ɵɵFactoryTarget.NgModule });
NgxLibModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.1", ngImport: i0, type: NgxLibModule });
NgxLibModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.1", ngImport: i0, type: NgxLibModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.1", ngImport: i0, type: NgxLibModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [],
                    exports: []
                }]
        }], ctorParameters: function () { return [{ type: NgxLibModule, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }] }]; } });

/*
 * Public API Surface of ngx-lib
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AppPathConfigService, NgxLibModule, ServiceConfig, defaultConfig };
//# sourceMappingURL=cleavelandprice-ngx-lib.mjs.map
