import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from "@angular/forms";
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { ContentChange, Blur, Focus, EditorChangeContent, EditorChangeSelection, SelectionChange, QuillEditorComponent } from 'ngx-quill';
import { Config } from '../../model/config';
import { DialogData } from '../../model/dialog-data';
import * as i0 from "@angular/core";
export declare class EditorComponent implements OnInit, ControlValueAccessor {
    private data;
    private dialogRef;
    private dialog;
    editor: QuillEditorComponent | undefined;
    value: any;
    onChange: (_: any) => void;
    onTouched: () => void;
    config: Config;
    placeholder: string | undefined;
    format: 'object' | 'html' | 'text' | 'json';
    height: string;
    width: string;
    fullscreenHeight: string;
    fullscreenWidth: string;
    fullscreenMode: 'expand' | 'popout';
    enableTooltips: boolean | undefined;
    fullscreen: boolean | undefined;
    readonly: boolean | undefined;
    applyReadonlyStyle: boolean | undefined;
    showToolbar: boolean | undefined;
    showBorder: boolean | undefined;
    imageResizeModule: boolean | undefined;
    imageDropModule: boolean | undefined;
    syntaxModule: boolean | undefined;
    fullscreenChanged: EventEmitter<boolean>;
    onBlur: EventEmitter<Blur>;
    onContentChanged: EventEmitter<ContentChange>;
    onEditorChanged: EventEmitter<EditorChangeContent | EditorChangeSelection>;
    onEditorCreated: EventEmitter<any>;
    onFocus: EventEmitter<Focus>;
    onSelectionChanged: EventEmitter<SelectionChange>;
    constructor(data: DialogData, dialogRef: MatDialogRef<EditorComponent>, dialog: MatDialog);
    ngOnInit(): void;
    initialize(): void;
    toggleFullscreen(): void;
    rawEdit(): void;
    tooltip(val: string): string;
    get modules(): {};
    updateChanges(): void;
    writeValue(value: number): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorComponent, [{ optional: true; }, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorComponent, "cpquill-editor", never, { "config": "config"; "placeholder": "placeholder"; "format": "format"; "height": "height"; "width": "width"; "fullscreenHeight": "fullscreenHeight"; "fullscreenWidth": "fullscreenWidth"; "fullscreenMode": "fullscreenMode"; "enableTooltips": "enableTooltips"; "fullscreen": "fullscreen"; "readonly": "readonly"; "applyReadonlyStyle": "applyReadonlyStyle"; "showToolbar": "showToolbar"; "showBorder": "showBorder"; "imageResizeModule": "imageResizeModule"; "imageDropModule": "imageDropModule"; "syntaxModule": "syntaxModule"; }, { "fullscreenChanged": "fullscreenChanged"; "onBlur": "onBlur"; "onContentChanged": "onContentChanged"; "onEditorChanged": "onEditorChanged"; "onEditorCreated": "onEditorCreated"; "onFocus": "onFocus"; "onSelectionChanged": "onSelectionChanged"; }, never, never, false>;
}
